<?php
/**
 * The template to display the user's avatar, bio and socials on the Author page
 *
 * @package HYGIA
 * @since HYGIA 1.71.0
 */
?>

<div class="author_page author vcard"<?php
	if ( hygia_is_on( hygia_get_theme_option( 'seo_snippets' ) ) ) {
		?> itemprop="author" itemscope="itemscope" itemtype="<?php echo esc_attr( hygia_get_protocol( true ) ); ?>//schema.org/Person"<?php
	}
?>>

	<div class="author_avatar"<?php
		if ( hygia_is_on( hygia_get_theme_option( 'seo_snippets' ) ) ) {
			?> itemprop="image"<?php
		}
	?>>
		<?php
		$hygia_mult = hygia_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 120 * $hygia_mult );
		?>
	</div>

	<h4 class="author_title"<?php
		if ( hygia_is_on( hygia_get_theme_option( 'seo_snippets' ) ) ) {
			?> itemprop="name"<?php
		}
	?>><span class="fn"><?php the_author(); ?></span></h4>

	<?php
	$hygia_author_description = get_the_author_meta( 'description' );
	if ( ! empty( $hygia_author_description ) ) {
		?>
		<div class="author_bio"<?php
			if ( hygia_is_on( hygia_get_theme_option( 'seo_snippets' ) ) ) {
				?> itemprop="description"<?php
			}
		?>><?php echo wp_kses( wpautop( $hygia_author_description ), 'hygia_kses_content' ); ?></div>
		<?php
	}
	?>

	<div class="author_details">
		<span class="author_posts_total">
			<?php
			$hygia_posts_total = count_user_posts( get_the_author_meta('ID'), 'post' );
			if ( $hygia_posts_total > 0 ) {
				// Translators: Add the author's posts number to the message
				echo wp_kses( sprintf( _n( '%s article published', '%s articles published', $hygia_posts_total, 'hygia' ),
										'<span class="author_posts_total_value">' . number_format_i18n( $hygia_posts_total ) . '</span>'
								 		),
							'hygia_kses_content'
							);
			} else {
				esc_html_e( 'No posts published.', 'hygia' );
			}
			?>
		</span><?php
			ob_start();
			do_action( 'hygia_action_user_meta', 'author-page' );
			$hygia_socials = ob_get_contents();
			ob_end_clean();
			hygia_show_layout( $hygia_socials,
				'<span class="author_socials"><span class="author_socials_caption">' . esc_html__( 'Follow:', 'hygia' ) . '</span>',
				'</span>'
			);
		?>
	</div>

</div>
